### Method

# FwupdPlugin BiosSettings from_json_file

since: 1.8.4

#### Declaration [src]

    gboolean
    fu_bios_settings_from_json_file (
      FuBiosSettings* self,
      const gchar* fn,
      GError** error
    )

#### Description [src]

Adds all BIOS attributes from a JSON filename.

Available since: 1.8.4

#### Parameters

`fn`

  Type: `const gchar*`

  A path to a JSON file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE for success, FALSE for failure.